Entur Developer
Seating manager

rebooking-controller


Trigger rebooking of multiple reservation to a new seat type

POST
https://api.entur.io/seating-manager
/v1-beta/rebookings/seat-type

Attempt to find new seats with a new seat type.

Trigger rebooking of multiple reservation to a new seat type › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Trigger rebooking of multiple reservation to a new seat type › Request Body

datedServiceJourneyId
​string · required

The datedServiceJourney whose reservations should be rebooked

reservationReferences
​string[] · required

References of reservations that should be moved

​SeatingPropertiesRequestV1 · required

Properties of a seat. They describe both physical and logical properties of a seat.Physical properties are for example position of the seat.Logical properties describe properties that the operator use when selling the seat. For example fare class.

mustReserveWholeCompartment
​boolean · required

If accommodation is COUCHETTE or SLEEPER, should the whole compartment be reserved (true) or can strangers be seated together (false)?

Trigger rebooking of multiple reservation to a new seat type › Responses

200

OK

version
​integer · int32 · required

The version of the reservation. Starts with 1.

Example: 1
​StopPlaceResponseV1 · required

Destination StopPlace of the reservation

​StopPlaceResponseV1 · required

Destination StopPlace of the reservation

datedServiceJourneyId
​string · minLength: 1 · required

Id of the dated service journey

status
​string · enum · minLength: 1 · required

Describes the reservation status.

Enum values:
DRAFT
CONFIRMED
CANCELLED
DEPRECATED
Example: DRAFT
reference
​string · uuid · minLength: 1 · required

The reference for this reservation

Example: c129cc9c-76e4-4f28-a4e2-5af96550627a
organisationId
​integer · int64 · required

The organisation id of the order which the reservation belongs to.

Example: 20
createdAt
​string · YYYY-MM-DDThh:mm:ssZ · minLength: 1 · required

When this reservation was initially created

Example: 2011-12-03T10:15:30+01:00
versionedAt
​string · YYYY-MM-DDThh:mm:ssZ · minLength: 1 · required

When this version of this reservation was created

Example: 2011-12-03T10:15:30+01:00
updatedAt
​string · YYYY-MM-DDThh:mm:ssZ · minLength: 1 · required

When this was previously updated. This includes status changes, reservation line changes and so on.

Example: 2011-12-03T10:15:30+01:00
​ReservationLineResponse[] · required
createdBy
​integer · int64 · required

The organisation id this version of the reservation was created by.This id is determined by the authentication used by the client.

Example: 20
rebookingStatus
​string | null · enum

Describes the rebooking status of the reservation.

Enum values:
ACCEPTED
MANUAL
SUGGESTED
REBOOKED_DRAFT
REJECTED
Example: ACCEPTED
orderId
​string | null

The 'id' of the order the reservation belongs to

Example: A1B2C3D4
updatedBy
​integer | null · int64

The organisation id of the organisation that last updated this reservation.This id is determined by the authentication used by the client.

Example: 20
info
​string | null

Additional free text information about the reservation.

Example: Unable to rebook this reservation due to no available seats.

Trigger rebooking of reservation

PATCH
https://api.entur.io/seating-manager
/v1-beta/rebookings/{reference}/rebook

Attempt to find new seats for a reservation on it's current departure. If no new seats found, keep existing reservation lines.

Trigger rebooking of reservation › path Parameters

reference
​string · uuid · required · style: simple

The reference of the reservation.

Trigger rebooking of reservation › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Trigger rebooking of reservation › Responses

200

OK

reference
​string · uuid · required

The reference for this reservation, this is a randomly generated UUID

Example: 123e4567-e89b-12d3-a456-426614174000
version
​integer · int32 · required

The highest/newest version of this reservation. The initial version number is 1.

Example: 1
​StopPlaceResponseV1 · required

Destination StopPlace of the reservation

​StopPlaceResponseV1 · required

Destination StopPlace of the reservation

datedServiceJourneyId
​string · required

Id of the dated service journey

organisationId
​integer · int64 · required

The organisation id of the order which the reservation belongs to.This id is determined by the authentication used by the client.

Example: 20
createdAt
​string · YYYY-MM-DDThh:mm:ssZ · required

When this reservation was initially created

Example: 2011-12-03T10:15:30+01:00
versionedAt
​string · YYYY-MM-DDThh:mm:ssZ · required

When this version of this reservation was created

Example: 2011-12-03T10:15:30+01:00
updatedAt
​string · YYYY-MM-DDThh:mm:ssZ · required

When this was previously updated. This includes status changes, reservation line changes and so on.

Example: 2011-12-03T10:15:30+01:00
reservationStatus
​string · enum · required

Describes the reservation status.

Enum values:
DRAFT
CONFIRMED
CANCELLED
DEPRECATED
Example: DRAFT
rebookingStatus
​string · enum · required

Describes the rebooking status of the reservation.

Enum values:
ACCEPTED
MANUAL
SUGGESTED
REBOOKED_DRAFT
REJECTED
Example: ACCEPTED
​RebookedReservationLineResponse[] · minItems: 1 · required

Reservation lines that are rebooked for this reservation, including previous reservation line.

orderId
​string | null

The orderId of the connected order where the creating client provided it. There are reservations without a connected order.

Example: ZGMCDSVS
​
​
previousDatedServiceJourneyId
​string | null

Id of the previous dated service journey if the dated service journey has been changed

info
​string | null

Additional free text information about the reservation.

Example: Unable to rebook this reservation due to no available seats.

Fetch unhandled rebooked reservations for a dated service journey

GET
https://api.entur.io/seating-manager
/v1-beta/rebookings

Fetch all unhandled rebooked reservations for a dated service journey. A unhandled rebooked reservation is a reservations that has status=DRAFT and rebooking status SUGGESTED, MANUAL or ACCEPTED.

Fetch unhandled rebooked reservations for a dated service journey › query Parameters

datedServiceJourneyId
​string · required · style: form · explode: true

Dated service journey id to fetch rebooked reservations for.

reservationStatus
​string · enum · style: form · explode: true

The status of the reservations considered, defaults to DRAFT

Enum values:
DRAFT
CONFIRMED
CANCELLED
DEPRECATED
Default: DRAFT
rebookingStatuses
​string[] · style: form · explode: true

The rebooking statuses of the reservation that will be fetched. Defaults to SUGGESTED, MANUAL or ACCEPTED.

Enum values:
ACCEPTED
MANUAL
SUGGESTED
REBOOKED_DRAFT
REJECTED
NONE

Fetch unhandled rebooked reservations for a dated service journey › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetch unhandled rebooked reservations for a dated service journey › Responses

200

OK

reference
​string · uuid · required

The reference for this reservation, this is a randomly generated UUID

Example: 123e4567-e89b-12d3-a456-426614174000
version
​integer · int32 · required

The highest/newest version of this reservation. The initial version number is 1.

Example: 1
​StopPlaceResponseV1 · required

Destination StopPlace of the reservation

​StopPlaceResponseV1 · required

Destination StopPlace of the reservation

datedServiceJourneyId
​string · required

Id of the dated service journey

organisationId
​integer · int64 · required

The organisation id of the order which the reservation belongs to.This id is determined by the authentication used by the client.

Example: 20
createdAt
​string · YYYY-MM-DDThh:mm:ssZ · required

When this reservation was initially created

Example: 2011-12-03T10:15:30+01:00
versionedAt
​string · YYYY-MM-DDThh:mm:ssZ · required

When this version of this reservation was created

Example: 2011-12-03T10:15:30+01:00
updatedAt
​string · YYYY-MM-DDThh:mm:ssZ · required

When this was previously updated. This includes status changes, reservation line changes and so on.

Example: 2011-12-03T10:15:30+01:00
reservationStatus
​string · enum · required

Describes the reservation status.

Enum values:
DRAFT
CONFIRMED
CANCELLED
DEPRECATED
Example: DRAFT
rebookingStatus
​string · enum · required

Describes the rebooking status of the reservation.

Enum values:
ACCEPTED
MANUAL
SUGGESTED
REBOOKED_DRAFT
REJECTED
Example: ACCEPTED
​RebookedReservationLineResponse[] · minItems: 1 · required

Reservation lines that are rebooked for this reservation, including previous reservation line.

orderId
​string | null

The orderId of the connected order where the creating client provided it. There are reservations without a connected order.

Example: ZGMCDSVS
​
​
previousDatedServiceJourneyId
​string | null

Id of the previous dated service journey if the dated service journey has been changed

info
​string | null

Additional free text information about the reservation.

Example: Unable to rebook this reservation due to no available seats.

GET
https://api.entur.io/seating-manager
/v1-beta/rebookings/dated-service-journeys

query Parameters

lineId
​string · style: form · explode: true

The line ID for which service journeys with rebooking stats should be fetched

serviceJourneyId
​string · style: form · explode: true

The serviceJourney for which an overview of the rebookings of the connected dated service journeys that will be fetched

reservationStatus
​string · enum · style: form · explode: true

The status of the reservations considered, defaults to DRAFT

Enum values:
DRAFT
CONFIRMED
CANCELLED
DEPRECATED

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Responses

200

OK

datedServiceJourneyId
​string · minLength: 1 · required

Id of the dated service journey

amountOfSuggestedRebookings
​integer · int32 · required

Number of rebookings suggested

Example: 1
amountOfManualRebookings
​integer · int32 · required

Number of rebookings ready for manual handling

Example: 2
amountOfAcceptedRebookings
​integer · int32 · required

Number of rebookings accepted

Example: 0

GET
https://api.entur.io/seating-manager
/v1-beta/rebookings/dated-service-journeys/history

query Parameters

serviceJourneyId
​string · required · style: form · explode: true

The serviceJourney for which an overview of the rebooking history of the connected dated service journeys that will be fetched

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Responses

200

OK

datedServiceJourneyId
​string · minLength: 1 · required

Id of the dated service journey

amountOfRejected
​integer · int32 · required

Number of rejected rebooked reservations

Example: 1
amountOfConfirmed
​integer · int32 · required

Number of confirmed rebooked reservations

Example: 2

Did you find what you were looking for?